Package csb :: Class Version

[frames] | no frames]

# Class Version

source code

    object --+
             |
            Version

CSB version number.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| full Full version, including the repository revision number.
int | major Major version (huge, incompatible changes)
int | micro Micro version (bug fixes and small enhancements)
int | minor Minor version (significant, but compatible changes)
| package
int | revision Build number (exact repository revision number)
| short Canonical three-part version number.
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

Property Details

### full

Full version, including the repository revision number.

Get Method:
  unreachable.full(self) - Full version, including the repository revision number.

### major

Major version (huge, incompatible changes)

Get Method:
  unreachable.major(self) - Major version (huge, incompatible changes)
Type:
  int

### micro

Micro version (bug fixes and small enhancements)

Get Method:
  unreachable.micro(self) - Micro version (bug fixes and small enhancements)
Type:
  int

### minor

Minor version (significant, but compatible changes)

Get Method:
  unreachable.minor(self) - Minor version (significant, but compatible changes)
Type:
  int

### package

Get Method:
  unreachable.package(self)

### revision

Build number (exact repository revision number)

Get Method:
  unreachable.revision(self) - Build number (exact repository revision number)
Type:
  int

### short

Canonical three-part version number.

Get Method:
  unreachable.short(self) - Canonical three-part version number.